export default function(context) {
  const UA = process.server ? context.req.headers['user-agent'] : navigator.userAgent
  let isMobile = /iphone/i.test(UA) || (/android/i.test(UA) && /mobile/i.test(UA))
  if (context.route.path.includes('/my')) {
    isMobile = false
  }
  context.store.commit('setIsMobile', isMobile)
}
